de.caff.util.print

## Enum BasicPaperFormat.Orientation

- java.lang.Object
- - java.lang.Enum<BasicPaperFormat.Orientation>
  - - de.caff.util.print.BasicPaperFormat.Orientation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BasicPaperFormat.Orientation>
  Enclosing class:
    BasicPaperFormat

      public static enum BasicPaperFormat.Orientation
      extends java.lang.Enum<BasicPaperFormat.Orientation>

  Helper class for enum describing the orientation of a paper.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Landscape`
    `Portrait`
    `Seascape`
    `UpsideDown`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDegrees()` Get the rotation in degrees, measured CCW.
    `java.lang.String` | `toString()` Get the name of this orientation.
    `static BasicPaperFormat.Orientation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BasicPaperFormat.Orientation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Portrait

          public static final BasicPaperFormat.Orientation Portrait

    - #### Landscape

          public static final BasicPaperFormat.Orientation Landscape

    - #### UpsideDown

          public static final BasicPaperFormat.Orientation UpsideDown

    - #### Seascape

          public static final BasicPaperFormat.Orientation Seascape

  - ### Method Detail

    - #### values

          public static BasicPaperFormat.Orientation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BasicPaperFormat.Orientation c : BasicPaperFormat.Orientation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BasicPaperFormat.Orientation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getDegrees

          public int getDegrees()

      Get the rotation in degrees, measured CCW.
      Returns:
        rotation

    - #### toString

          @NotNull
          public java.lang.String toString()

      Get the name of this orientation.
      Overrides:
        `toString` in class `java.lang.Enum<BasicPaperFormat.Orientation>`
      Returns:
        orientation name